package reparto_izca.keymon.lat;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class c_noventa_subs_0 {


public static void  _b_imp_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B_IMP_Click (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,143);
if (RapidSub.canDelegate("b_imp_click")) { __ref.runUserSub(false, "c_noventa","b_imp_click", __ref); return;}
ResumableSub_B_IMP_Click rsub = new ResumableSub_B_IMP_Click(null,__ref);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_B_IMP_Click extends BA.ResumableSub {
public ResumableSub_B_IMP_Click(reparto_izca.keymon.lat.c_noventa parent,RemoteObject __ref) {
this.parent = parent;
this.__ref = __ref;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
RemoteObject __ref;
reparto_izca.keymon.lat.c_noventa parent;
RemoteObject _cont = RemoteObject.createImmutable(0);
RemoteObject _clientecur = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
RemoteObject _resultado = RemoteObject.createImmutable(0);

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("B_IMP_Click (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,143);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
Debug.locals.put("_ref", __ref);
 BA.debugLineNum = 144;BA.debugLine="c=Starter.skmt.ExecQuery(\"select USUARIO from usu";
Debug.ShouldStop(32768);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (parent._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select USUARIO from usuarioa"))));
 BA.debugLineNum = 145;BA.debugLine="c.Position=0";
Debug.ShouldStop(65536);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 146;BA.debugLine="usuario = c.GetString(\"USUARIO\")";
Debug.ShouldStop(131072);
__ref.setField ("_usuario" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("USUARIO"))));
 BA.debugLineNum = 148;BA.debugLine="DateTime.DateFormat = \"MM/dd/yyyy\"";
Debug.ShouldStop(524288);
parent.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("MM/dd/yyyy"));
 BA.debugLineNum = 149;BA.debugLine="DateTime.TimeFormat=\"HH:mm:ss\"";
Debug.ShouldStop(1048576);
parent.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",BA.ObjectToString("HH:mm:ss"));
 BA.debugLineNum = 150;BA.debugLine="sDate=DateTime.Date(DateTime.Now)";
Debug.ShouldStop(2097152);
__ref.setField ("_sdate" /*RemoteObject*/ ,parent.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(parent.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 151;BA.debugLine="sTime=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(4194304);
__ref.setField ("_stime" /*RemoteObject*/ ,parent.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(parent.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 152;BA.debugLine="c.Close";
Debug.ShouldStop(8388608);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 158;BA.debugLine="ProgressDialogShow(\"Imprimiendo, un momento ...\")";
Debug.ShouldStop(536870912);
parent.__c.runVoidMethod ("ProgressDialogShow",__ref.getField(false, "ba"),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Imprimiendo, un momento ..."))));
 BA.debugLineNum = 159;BA.debugLine="Printer1.DisConnect";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_disconnect" /*RemoteObject*/ );
 BA.debugLineNum = 160;BA.debugLine="If Not(Printer1.IsConnected) Then";
Debug.ShouldStop(-2147483648);
if (true) break;

case 1:
//if
this.state = 38;
if (parent.__c.runMethod(true,"Not",(Object)(__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_isconnected" /*RemoteObject*/ ))).<Boolean>get().booleanValue()) { 
this.state = 3;
}else {
this.state = 21;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 162;BA.debugLine="Printer1.Connect";
Debug.ShouldStop(2);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_connect" /*RemoteObject*/ );
 BA.debugLineNum = 163;BA.debugLine="Private cont As Int = 0";
Debug.ShouldStop(4);
_cont = BA.numberCast(int.class, 0);Debug.locals.put("cont", _cont);Debug.locals.put("cont", _cont);
 BA.debugLineNum = 164;BA.debugLine="Do While Not(impresoraConectada)";
Debug.ShouldStop(8);
if (true) break;

case 4:
//do while
this.state = 19;
while (parent.__c.runMethod(true,"Not",(Object)(__ref.getField(true,"_impresoraconectada" /*RemoteObject*/ ))).<Boolean>get().booleanValue()) {
this.state = 6;
if (true) break;
}
if (true) break;

case 6:
//C
this.state = 7;
 BA.debugLineNum = 165;BA.debugLine="Sleep(1000)";
Debug.ShouldStop(16);
parent.__c.runVoidMethod ("Sleep",__ref.getField(false, "ba"),anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "c_noventa", "b_imp_click"),BA.numberCast(int.class, 1000));
this.state = 55;
return;
case 55:
//C
this.state = 7;
;
 BA.debugLineNum = 167;BA.debugLine="cont = cont + 1";
Debug.ShouldStop(64);
_cont = RemoteObject.solve(new RemoteObject[] {_cont,RemoteObject.createImmutable(1)}, "+",1, 1);Debug.locals.put("cont", _cont);
 BA.debugLineNum = 168;BA.debugLine="If cont = 2 Then Printer1.Connect 'Tratamos de";
Debug.ShouldStop(128);
if (true) break;

case 7:
//if
this.state = 12;
if (RemoteObject.solveBoolean("=",_cont,BA.numberCast(double.class, 2))) { 
this.state = 9;
;}if (true) break;

case 9:
//C
this.state = 12;
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_connect" /*RemoteObject*/ );
if (true) break;

case 12:
//C
this.state = 13;
;
 BA.debugLineNum = 169;BA.debugLine="If cont > 3 Then impresoraConectada = True";
Debug.ShouldStop(256);
if (true) break;

case 13:
//if
this.state = 18;
if (RemoteObject.solveBoolean(">",_cont,BA.numberCast(double.class, 3))) { 
this.state = 15;
;}if (true) break;

case 15:
//C
this.state = 18;
__ref.setField ("_impresoraconectada" /*RemoteObject*/ ,parent.__c.getField(true,"True"));
if (true) break;

case 18:
//C
this.state = 4;
;
 if (true) break;

case 19:
//C
this.state = 38;
;
 BA.debugLineNum = 171;BA.debugLine="Sleep(500)";
Debug.ShouldStop(1024);
parent.__c.runVoidMethod ("Sleep",__ref.getField(false, "ba"),anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "c_noventa", "b_imp_click"),BA.numberCast(int.class, 500));
this.state = 56;
return;
case 56:
//C
this.state = 38;
;
 BA.debugLineNum = 172;BA.debugLine="impresoraConectada = False";
Debug.ShouldStop(2048);
__ref.setField ("_impresoraconectada" /*RemoteObject*/ ,parent.__c.getField(true,"False"));
 if (true) break;

case 21:
//C
this.state = 22;
 BA.debugLineNum = 175;BA.debugLine="Printer1.Connect";
Debug.ShouldStop(16384);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_connect" /*RemoteObject*/ );
 BA.debugLineNum = 176;BA.debugLine="Private cont As Int = 0";
Debug.ShouldStop(32768);
_cont = BA.numberCast(int.class, 0);Debug.locals.put("cont", _cont);Debug.locals.put("cont", _cont);
 BA.debugLineNum = 177;BA.debugLine="Do While Not(impresoraConectada) Or Not(Printer1";
Debug.ShouldStop(65536);
if (true) break;

case 22:
//do while
this.state = 37;
while (RemoteObject.solveBoolean(".",parent.__c.runMethod(true,"Not",(Object)(__ref.getField(true,"_impresoraconectada" /*RemoteObject*/ )))) || RemoteObject.solveBoolean(".",parent.__c.runMethod(true,"Not",(Object)(__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_isconnected" /*RemoteObject*/ ))))) {
this.state = 24;
if (true) break;
}
if (true) break;

case 24:
//C
this.state = 25;
 BA.debugLineNum = 178;BA.debugLine="Sleep(1000)";
Debug.ShouldStop(131072);
parent.__c.runVoidMethod ("Sleep",__ref.getField(false, "ba"),anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "c_noventa", "b_imp_click"),BA.numberCast(int.class, 1000));
this.state = 57;
return;
case 57:
//C
this.state = 25;
;
 BA.debugLineNum = 180;BA.debugLine="cont = cont + 1";
Debug.ShouldStop(524288);
_cont = RemoteObject.solve(new RemoteObject[] {_cont,RemoteObject.createImmutable(1)}, "+",1, 1);Debug.locals.put("cont", _cont);
 BA.debugLineNum = 181;BA.debugLine="If cont = 2 Then Printer1.Connect";
Debug.ShouldStop(1048576);
if (true) break;

case 25:
//if
this.state = 30;
if (RemoteObject.solveBoolean("=",_cont,BA.numberCast(double.class, 2))) { 
this.state = 27;
;}if (true) break;

case 27:
//C
this.state = 30;
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_connect" /*RemoteObject*/ );
if (true) break;

case 30:
//C
this.state = 31;
;
 BA.debugLineNum = 182;BA.debugLine="If cont > 3 Then impresoraConectada = True";
Debug.ShouldStop(2097152);
if (true) break;

case 31:
//if
this.state = 36;
if (RemoteObject.solveBoolean(">",_cont,BA.numberCast(double.class, 3))) { 
this.state = 33;
;}if (true) break;

case 33:
//C
this.state = 36;
__ref.setField ("_impresoraconectada" /*RemoteObject*/ ,parent.__c.getField(true,"True"));
if (true) break;

case 36:
//C
this.state = 22;
;
 if (true) break;

case 37:
//C
this.state = 38;
;
 BA.debugLineNum = 184;BA.debugLine="Sleep(500)";
Debug.ShouldStop(8388608);
parent.__c.runVoidMethod ("Sleep",__ref.getField(false, "ba"),anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "c_noventa", "b_imp_click"),BA.numberCast(int.class, 500));
this.state = 58;
return;
case 58:
//C
this.state = 38;
;
 BA.debugLineNum = 185;BA.debugLine="impresoraConectada = False";
Debug.ShouldStop(16777216);
__ref.setField ("_impresoraconectada" /*RemoteObject*/ ,parent.__c.getField(true,"False"));
 if (true) break;

case 38:
//C
this.state = 39;
;
 BA.debugLineNum = 189;BA.debugLine="Printer1.WriteString(\"Izca Distribuciones\" &  CRL";
Debug.ShouldStop(268435456);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_writestring" /*RemoteObject*/ ,(Object)(RemoteObject.concat(RemoteObject.createImmutable("Izca Distribuciones"),parent.__c.getField(true,"CRLF"))));
 BA.debugLineNum = 191;BA.debugLine="Printer1.WriteString(\"Vendedor:\" & usuario &  CRL";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_writestring" /*RemoteObject*/ ,(Object)(RemoteObject.concat(RemoteObject.createImmutable("Vendedor:"),__ref.getField(true,"_usuario" /*RemoteObject*/ ),parent.__c.getField(true,"CRLF"))));
 BA.debugLineNum = 194;BA.debugLine="Dim clientecur As Cursor = Starter.skmt.ExecQuery";
Debug.ShouldStop(2);
_clientecur = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_clientecur = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT CAT_CL_NOMBRE FROM kmt_info WHERE CAT_CL_CODIGO IN (SELECT CUENTA FROM CUENTAA)"))));Debug.locals.put("clientecur", _clientecur);Debug.locals.put("clientecur", _clientecur);
 BA.debugLineNum = 195;BA.debugLine="clientecur.Position = 0";
Debug.ShouldStop(4);
_clientecur.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 197;BA.debugLine="Printer1.WriteString(\"ID.Cliente: \" &  Subs.traeC";
Debug.ShouldStop(16);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_writestring" /*RemoteObject*/ ,(Object)(RemoteObject.concat(RemoteObject.createImmutable("ID.Cliente: "),parent._subs.runMethod(true,"_traecliente" /*RemoteObject*/ ,__ref.getField(false, "ba")),parent.__c.getField(true,"CRLF"))));
 BA.debugLineNum = 199;BA.debugLine="Printer1.WriteString(\"Tienda: \" & clientecur.GetS";
Debug.ShouldStop(64);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_writestring" /*RemoteObject*/ ,(Object)(RemoteObject.concat(RemoteObject.createImmutable("Tienda: "),_clientecur.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE"))),parent.__c.getField(true,"CRLF"))));
 BA.debugLineNum = 201;BA.debugLine="Printer1.WriteString(sDate &\" \"& sTime &  CRLF)";
Debug.ShouldStop(256);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_writestring" /*RemoteObject*/ ,(Object)(RemoteObject.concat(__ref.getField(true,"_sdate" /*RemoteObject*/ ),RemoteObject.createImmutable(" "),__ref.getField(true,"_stime" /*RemoteObject*/ ),parent.__c.getField(true,"CRLF"))));
 BA.debugLineNum = 202;BA.debugLine="If r_1.Checked Then";
Debug.ShouldStop(512);
if (true) break;

case 39:
//if
this.state = 48;
if (__ref.getField(false,"_r_1" /*RemoteObject*/ ).runMethod(true,"getChecked").<Boolean>get().booleanValue()) { 
this.state = 41;
}else 
{ BA.debugLineNum = 204;BA.debugLine="Else If r_2.Checked Then";
Debug.ShouldStop(2048);
if (__ref.getField(false,"_r_2" /*RemoteObject*/ ).runMethod(true,"getChecked").<Boolean>get().booleanValue()) { 
this.state = 43;
}else 
{ BA.debugLineNum = 206;BA.debugLine="Else If r_3.Checked Then";
Debug.ShouldStop(8192);
if (__ref.getField(false,"_r_3" /*RemoteObject*/ ).runMethod(true,"getChecked").<Boolean>get().booleanValue()) { 
this.state = 45;
}else {
this.state = 47;
}}}
if (true) break;

case 41:
//C
this.state = 48;
 BA.debugLineNum = 203;BA.debugLine="motivo = \"CERRADO\"";
Debug.ShouldStop(1024);
__ref.setField ("_motivo" /*RemoteObject*/ ,BA.ObjectToString("CERRADO"));
 if (true) break;

case 43:
//C
this.state = 48;
 BA.debugLineNum = 205;BA.debugLine="motivo = \"NO PIDIO\"";
Debug.ShouldStop(4096);
__ref.setField ("_motivo" /*RemoteObject*/ ,BA.ObjectToString("NO PIDIO"));
 if (true) break;

case 45:
//C
this.state = 48;
 BA.debugLineNum = 207;BA.debugLine="motivo = \"CANCELA\"";
Debug.ShouldStop(16384);
__ref.setField ("_motivo" /*RemoteObject*/ ,BA.ObjectToString("CANCELA"));
 if (true) break;

case 47:
//C
this.state = 48;
 BA.debugLineNum = 209;BA.debugLine="motivo = \"NO ESTA EL ENCARGADO\"";
Debug.ShouldStop(65536);
__ref.setField ("_motivo" /*RemoteObject*/ ,BA.ObjectToString("NO ESTA EL ENCARGADO"));
 if (true) break;

case 48:
//C
this.state = 49;
;
 BA.debugLineNum = 211;BA.debugLine="Printer1.WriteString(motivo &  CRLF)";
Debug.ShouldStop(262144);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_writestring" /*RemoteObject*/ ,(Object)(RemoteObject.concat(__ref.getField(true,"_motivo" /*RemoteObject*/ ),parent.__c.getField(true,"CRLF"))));
 BA.debugLineNum = 215;BA.debugLine="Printer1.WriteString(\" \" &  CRLF)";
Debug.ShouldStop(4194304);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_writestring" /*RemoteObject*/ ,(Object)(RemoteObject.concat(RemoteObject.createImmutable(" "),parent.__c.getField(true,"CRLF"))));
 BA.debugLineNum = 216;BA.debugLine="Printer1.WriteString(\"--------INFORMATIVO--------";
Debug.ShouldStop(8388608);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_writestring" /*RemoteObject*/ ,(Object)(RemoteObject.concat(RemoteObject.createImmutable("--------INFORMATIVO-----------"),parent.__c.getField(true,"CRLF"))));
 BA.debugLineNum = 217;BA.debugLine="Printer1.WriteString(\"---------------------------";
Debug.ShouldStop(16777216);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_writestring" /*RemoteObject*/ ,(Object)(RemoteObject.concat(RemoteObject.createImmutable("------------------------------"),parent.__c.getField(true,"CRLF"))));
 BA.debugLineNum = 218;BA.debugLine="Printer1.WriteString(\" \" &  CRLF)";
Debug.ShouldStop(33554432);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_writestring" /*RemoteObject*/ ,(Object)(RemoteObject.concat(RemoteObject.createImmutable(" "),parent.__c.getField(true,"CRLF"))));
 BA.debugLineNum = 219;BA.debugLine="Printer1.WriteString(\" \" &  CRLF)";
Debug.ShouldStop(67108864);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_writestring" /*RemoteObject*/ ,(Object)(RemoteObject.concat(RemoteObject.createImmutable(" "),parent.__c.getField(true,"CRLF"))));
 BA.debugLineNum = 220;BA.debugLine="Printer1.WriteString(\" \" &  CRLF)";
Debug.ShouldStop(134217728);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_writestring" /*RemoteObject*/ ,(Object)(RemoteObject.concat(RemoteObject.createImmutable(" "),parent.__c.getField(true,"CRLF"))));
 BA.debugLineNum = 221;BA.debugLine="Sleep(1000)";
Debug.ShouldStop(268435456);
parent.__c.runVoidMethod ("Sleep",__ref.getField(false, "ba"),anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "c_noventa", "b_imp_click"),BA.numberCast(int.class, 1000));
this.state = 59;
return;
case 59:
//C
this.state = 49;
;
 BA.debugLineNum = 222;BA.debugLine="Printer1.DisConnect";
Debug.ShouldStop(536870912);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_disconnect" /*RemoteObject*/ );
 BA.debugLineNum = 224;BA.debugLine="ProgressDialogHide";
Debug.ShouldStop(-2147483648);
parent.__c.runVoidMethod ("ProgressDialogHide");
 BA.debugLineNum = 226;BA.debugLine="Msgbox2Async(\"Deseas imprimir de nuevo el ticket?";
Debug.ShouldStop(2);
parent.__c.runVoidMethod ("Msgbox2Async",(Object)(BA.ObjectToCharSequence("Deseas imprimir de nuevo el ticket?")),(Object)(BA.ObjectToCharSequence("ATENCION")),(Object)(BA.ObjectToString("SI")),(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("NO")),(Object)(parent.__c.runMethod(false,"LoadBitmap",(Object)(parent.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("alert2.png")))),__ref.getField(false, "ba"),(Object)(parent.__c.getField(true,"False")));
 BA.debugLineNum = 227;BA.debugLine="Wait For Msgbox_Result (resultado As Int)";
Debug.ShouldStop(4);
parent.__c.runVoidMethod ("WaitFor","msgbox_result", __ref.getField(false, "ba"), anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "c_noventa", "b_imp_click"), null);
this.state = 60;
return;
case 60:
//C
this.state = 49;
_resultado = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(1));Debug.locals.put("resultado", _resultado);
;
 BA.debugLineNum = 228;BA.debugLine="If resultado = DialogResponse.POSITIVE Then";
Debug.ShouldStop(8);
if (true) break;

case 49:
//if
this.state = 54;
if (RemoteObject.solveBoolean("=",_resultado,BA.numberCast(double.class, parent.__c.getField(false,"DialogResponse").getField(true,"POSITIVE")))) { 
this.state = 51;
}else {
this.state = 53;
}if (true) break;

case 51:
//C
this.state = 54;
 BA.debugLineNum = 229;BA.debugLine="B_IMP_Click";
Debug.ShouldStop(16);
__ref.runClassMethod (reparto_izca.keymon.lat.c_noventa.class, "_b_imp_click" /*void*/ );
 if (true) break;

case 53:
//C
this.state = 54;
 BA.debugLineNum = 231;BA.debugLine="Guardado";
Debug.ShouldStop(64);
__ref.runClassMethod (reparto_izca.keymon.lat.c_noventa.class, "_guardado" /*RemoteObject*/ );
 if (true) break;

case 54:
//C
this.state = -1;
;
 BA.debugLineNum = 233;BA.debugLine="End Sub";
Debug.ShouldStop(256);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static void  _msgbox_result(RemoteObject __ref,RemoteObject _resultado) throws Exception{
}
public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,47);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "c_noventa","b4xpage_appear", __ref);}
 BA.debugLineNum = 47;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(16384);
 BA.debugLineNum = 48;BA.debugLine="Printer1.Initialize(Me, \"Printer1\")";
Debug.ShouldStop(32768);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_initialize" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref),(Object)(RemoteObject.createImmutable("Printer1")));
 BA.debugLineNum = 50;BA.debugLine="If Printer1.IsConnected = False Then";
Debug.ShouldStop(131072);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_isconnected" /*RemoteObject*/ ),c_noventa.__c.getField(true,"False"))) { 
 }else {
 BA.debugLineNum = 54;BA.debugLine="Printer1.DisConnect";
Debug.ShouldStop(2097152);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_disconnect" /*RemoteObject*/ );
 BA.debugLineNum = 55;BA.debugLine="Printer1.Connect";
Debug.ShouldStop(4194304);
__ref.getField(false,"_printer1" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.escposprinter.class, "_connect" /*RemoteObject*/ );
 BA.debugLineNum = 56;BA.debugLine="Log(\"2\")";
Debug.ShouldStop(8388608);
c_noventa.__c.runVoidMethod ("LogImpl","822937609",RemoteObject.createImmutable("2"),0);
 };
 BA.debugLineNum = 58;BA.debugLine="btAdmin.Initialize(\"BlueTeeth\")";
Debug.ShouldStop(33554432);
__ref.getField(false,"_btadmin" /*RemoteObject*/ ).runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("BlueTeeth")));
 BA.debugLineNum = 59;BA.debugLine="cmp20.Initialize(\"Printer\")";
Debug.ShouldStop(67108864);
__ref.getField(false,"_cmp20" /*RemoteObject*/ ).runVoidMethod ("Initialize",(Object)(RemoteObject.createImmutable("Printer")));
 BA.debugLineNum = 61;BA.debugLine="reqManager.Initialize(Me, B4XPages.MainPage.SERVE";
Debug.ShouldStop(268435456);
__ref.getField(false,"_reqmanager" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.dbrequestmanager.class, "_initialize" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref),(Object)(c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_server" /*RemoteObject*/ )));
 BA.debugLineNum = 62;BA.debugLine="e_comm.Text=\"\"";
Debug.ShouldStop(536870912);
__ref.getField(false,"_e_comm" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 63;BA.debugLine="r_1.Checked = False";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_r_1" /*RemoteObject*/ ).runMethodAndSync(true,"setChecked",c_noventa.__c.getField(true,"False"));
 BA.debugLineNum = 64;BA.debugLine="r_2.Checked = False";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_r_2" /*RemoteObject*/ ).runMethodAndSync(true,"setChecked",c_noventa.__c.getField(true,"False"));
 BA.debugLineNum = 65;BA.debugLine="r_3.Checked = False";
Debug.ShouldStop(1);
__ref.getField(false,"_r_3" /*RemoteObject*/ ).runMethodAndSync(true,"setChecked",c_noventa.__c.getField(true,"False"));
 BA.debugLineNum = 66;BA.debugLine="r_4.Checked = False";
Debug.ShouldStop(2);
__ref.getField(false,"_r_4" /*RemoteObject*/ ).runMethodAndSync(true,"setChecked",c_noventa.__c.getField(true,"False"));
 BA.debugLineNum = 67;BA.debugLine="cb_reprogramar.Checked = False";
Debug.ShouldStop(4);
__ref.getField(false,"_cb_reprogramar" /*RemoteObject*/ ).runMethodAndSync(true,"setChecked",c_noventa.__c.getField(true,"False"));
 BA.debugLineNum = 68;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,38);
if (RapidSub.canDelegate("b4xpage_created")) { return __ref.runUserSub(false, "c_noventa","b4xpage_created", __ref, _root1);}
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 38;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
Debug.ShouldStop(32);
 BA.debugLineNum = 39;BA.debugLine="Root = Root1";
Debug.ShouldStop(64);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 41;BA.debugLine="Root.LoadLayout(\"no_venta\")";
Debug.ShouldStop(256);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("no_venta")),__ref.getField(false, "ba"));
 BA.debugLineNum = 42;BA.debugLine="reqManager.Initialize(Me, B4XPages.MainPage.SERVE";
Debug.ShouldStop(512);
__ref.getField(false,"_reqmanager" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.dbrequestmanager.class, "_initialize" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref),(Object)(c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_server" /*RemoteObject*/ )));
 BA.debugLineNum = 43;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _cancela_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("CANCELA_Click (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,75);
if (RapidSub.canDelegate("cancela_click")) { return __ref.runUserSub(false, "c_noventa","cancela_click", __ref);}
 BA.debugLineNum = 75;BA.debugLine="Sub CANCELA_Click";
Debug.ShouldStop(1024);
 BA.debugLineNum = 76;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(2048);
c_noventa._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 77;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _cb_reprogramar_checkedchange(RemoteObject __ref,RemoteObject _checked) throws Exception{
try {
		Debug.PushSubsStack("cb_reprogramar_CheckedChange (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,134);
if (RapidSub.canDelegate("cb_reprogramar_checkedchange")) { return __ref.runUserSub(false, "c_noventa","cb_reprogramar_checkedchange", __ref, _checked);}
Debug.locals.put("Checked", _checked);
 BA.debugLineNum = 134;BA.debugLine="Private Sub cb_reprogramar_CheckedChange(Checked A";
Debug.ShouldStop(32);
 BA.debugLineNum = 135;BA.debugLine="If Checked Then";
Debug.ShouldStop(64);
if (_checked.<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 136;BA.debugLine="reprogramar = 1";
Debug.ShouldStop(128);
__ref.setField ("_reprogramar" /*RemoteObject*/ ,BA.numberCast(int.class, 1));
 }else {
 BA.debugLineNum = 138;BA.debugLine="reprogramar = 0";
Debug.ShouldStop(512);
__ref.setField ("_reprogramar" /*RemoteObject*/ ,BA.numberCast(int.class, 0));
 };
 BA.debugLineNum = 140;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
c_noventa._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",c_noventa._root);
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
c_noventa._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",c_noventa._xui);
 //BA.debugLineNum = 4;BA.debugLine="Dim g As GPS";
c_noventa._g = RemoteObject.createNew ("anywheresoftware.b4a.gps.GPS");__ref.setField("_g",c_noventa._g);
 //BA.debugLineNum = 5;BA.debugLine="Dim c As Cursor";
c_noventa._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c",c_noventa._c);
 //BA.debugLineNum = 6;BA.debugLine="Dim COMENTARIO As String";
c_noventa._comentario = RemoteObject.createImmutable("");__ref.setField("_comentario",c_noventa._comentario);
 //BA.debugLineNum = 7;BA.debugLine="Dim CANCELA As Button";
c_noventa._cancela = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_cancela",c_noventa._cancela);
 //BA.debugLineNum = 8;BA.debugLine="Dim GUARDA As Button";
c_noventa._guarda = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_guarda",c_noventa._guarda);
 //BA.debugLineNum = 9;BA.debugLine="Dim r_1 As RadioButton";
c_noventa._r_1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper");__ref.setField("_r_1",c_noventa._r_1);
 //BA.debugLineNum = 10;BA.debugLine="Dim r_2 As RadioButton";
c_noventa._r_2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper");__ref.setField("_r_2",c_noventa._r_2);
 //BA.debugLineNum = 11;BA.debugLine="Dim r_3 As RadioButton";
c_noventa._r_3 = RemoteObject.createNew ("anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper");__ref.setField("_r_3",c_noventa._r_3);
 //BA.debugLineNum = 12;BA.debugLine="Dim e_comm As EditText";
c_noventa._e_comm = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_e_comm",c_noventa._e_comm);
 //BA.debugLineNum = 13;BA.debugLine="Dim motivo As String";
c_noventa._motivo = RemoteObject.createImmutable("");__ref.setField("_motivo",c_noventa._motivo);
 //BA.debugLineNum = 14;BA.debugLine="Dim cuenta As String";
c_noventa._cuenta = RemoteObject.createImmutable("");__ref.setField("_cuenta",c_noventa._cuenta);
 //BA.debugLineNum = 15;BA.debugLine="Dim usuario As String";
c_noventa._usuario = RemoteObject.createImmutable("");__ref.setField("_usuario",c_noventa._usuario);
 //BA.debugLineNum = 16;BA.debugLine="Dim sDate,sTime As String";
c_noventa._sdate = RemoteObject.createImmutable("");__ref.setField("_sdate",c_noventa._sdate);
c_noventa._stime = RemoteObject.createImmutable("");__ref.setField("_stime",c_noventa._stime);
 //BA.debugLineNum = 17;BA.debugLine="Dim r_4 As RadioButton";
c_noventa._r_4 = RemoteObject.createNew ("anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper");__ref.setField("_r_4",c_noventa._r_4);
 //BA.debugLineNum = 18;BA.debugLine="Private p_principal As Panel";
c_noventa._p_principal = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_p_principal",c_noventa._p_principal);
 //BA.debugLineNum = 19;BA.debugLine="Dim d As Cursor";
c_noventa._d = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_d",c_noventa._d);
 //BA.debugLineNum = 20;BA.debugLine="Dim reqManager As DBRequestManager";
c_noventa._reqmanager = RemoteObject.createNew ("reparto_izca.keymon.lat.dbrequestmanager");__ref.setField("_reqmanager",c_noventa._reqmanager);
 //BA.debugLineNum = 21;BA.debugLine="Private cb_reprogramar As CheckBox";
c_noventa._cb_reprogramar = RemoteObject.createNew ("anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper");__ref.setField("_cb_reprogramar",c_noventa._cb_reprogramar);
 //BA.debugLineNum = 22;BA.debugLine="Dim reprogramar As Int = 0";
c_noventa._reprogramar = BA.numberCast(int.class, 0);__ref.setField("_reprogramar",c_noventa._reprogramar);
 //BA.debugLineNum = 23;BA.debugLine="Dim PASA_IMP As String";
c_noventa._pasa_imp = RemoteObject.createImmutable("");__ref.setField("_pasa_imp",c_noventa._pasa_imp);
 //BA.debugLineNum = 24;BA.debugLine="Dim Printer1 As EscPosPrinter";
c_noventa._printer1 = RemoteObject.createNew ("reparto_izca.keymon.lat.escposprinter");__ref.setField("_printer1",c_noventa._printer1);
 //BA.debugLineNum = 25;BA.debugLine="Dim impresoraConectada As Boolean = False";
c_noventa._impresoraconectada = c_noventa.__c.getField(true,"False");__ref.setField("_impresoraconectada",c_noventa._impresoraconectada);
 //BA.debugLineNum = 26;BA.debugLine="Dim errorImpresora As Int = 0";
c_noventa._errorimpresora = BA.numberCast(int.class, 0);__ref.setField("_errorimpresora",c_noventa._errorimpresora);
 //BA.debugLineNum = 27;BA.debugLine="Dim cmp20 As Serial";
c_noventa._cmp20 = RemoteObject.createNew ("anywheresoftware.b4a.objects.Serial");__ref.setField("_cmp20",c_noventa._cmp20);
 //BA.debugLineNum = 28;BA.debugLine="Dim btAdmin As BluetoothAdmin";
c_noventa._btadmin = RemoteObject.createNew ("anywheresoftware.b4a.objects.Serial.BluetoothAdmin");__ref.setField("_btadmin",c_noventa._btadmin);
 //BA.debugLineNum = 29;BA.debugLine="Dim printer As TextWriter";
c_noventa._printer = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.TextWriterWrapper");__ref.setField("_printer",c_noventa._printer);
 //BA.debugLineNum = 30;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _gps_locationchanged(RemoteObject __ref,RemoteObject _location1) throws Exception{
try {
		Debug.PushSubsStack("GPS_LocationChanged (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,70);
if (RapidSub.canDelegate("gps_locationchanged")) { return __ref.runUserSub(false, "c_noventa","gps_locationchanged", __ref, _location1);}
Debug.locals.put("Location1", _location1);
 BA.debugLineNum = 70;BA.debugLine="Sub GPS_LocationChanged (Location1 As Location)";
Debug.ShouldStop(32);
 BA.debugLineNum = 73;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _guarda_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("GUARDA_Click (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,79);
if (RapidSub.canDelegate("guarda_click")) { return __ref.runUserSub(false, "c_noventa","guarda_click", __ref);}
 BA.debugLineNum = 79;BA.debugLine="Sub GUARDA_Click";
Debug.ShouldStop(16384);
 BA.debugLineNum = 80;BA.debugLine="If r_1.Checked = False And r_2.Checked = False An";
Debug.ShouldStop(32768);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_r_1" /*RemoteObject*/ ).runMethod(true,"getChecked"),c_noventa.__c.getField(true,"False")) && RemoteObject.solveBoolean("=",__ref.getField(false,"_r_2" /*RemoteObject*/ ).runMethod(true,"getChecked"),c_noventa.__c.getField(true,"False")) && RemoteObject.solveBoolean("=",__ref.getField(false,"_r_3" /*RemoteObject*/ ).runMethod(true,"getChecked"),c_noventa.__c.getField(true,"False")) && RemoteObject.solveBoolean("=",__ref.getField(false,"_r_4" /*RemoteObject*/ ).runMethod(true,"getChecked"),c_noventa.__c.getField(true,"False"))) { 
 BA.debugLineNum = 81;BA.debugLine="MsgboxAsync(\"Selecciona un motivo de rechazo\",\"A";
Debug.ShouldStop(65536);
c_noventa.__c.runVoidMethod ("MsgboxAsync",(Object)(BA.ObjectToCharSequence("Selecciona un motivo de rechazo")),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Atención"))),__ref.getField(false, "ba"));
 }else {
 BA.debugLineNum = 83;BA.debugLine="B_IMP_Click";
Debug.ShouldStop(262144);
__ref.runClassMethod (reparto_izca.keymon.lat.c_noventa.class, "_b_imp_click" /*void*/ );
 };
 BA.debugLineNum = 86;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _guardado(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("Guardado (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,235);
if (RapidSub.canDelegate("guardado")) { return __ref.runUserSub(false, "c_noventa","guardado", __ref);}
RemoteObject _rutaactualizar = RemoteObject.createImmutable("");
RemoteObject _rut = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
RemoteObject _estecliente = RemoteObject.createImmutable("");
RemoteObject _rv = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
int _i2 = 0;
int _i = 0;
RemoteObject _ruta = RemoteObject.createImmutable("");
RemoteObject _rutapre = RemoteObject.createImmutable("");
RemoteObject _fechaprev = RemoteObject.createImmutable("");
 BA.debugLineNum = 235;BA.debugLine="Sub Guardado";
Debug.ShouldStop(1024);
 BA.debugLineNum = 237;BA.debugLine="If r_1.Checked Then";
Debug.ShouldStop(4096);
if (__ref.getField(false,"_r_1" /*RemoteObject*/ ).runMethod(true,"getChecked").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 238;BA.debugLine="motivo = \"CERRADO\"";
Debug.ShouldStop(8192);
__ref.setField ("_motivo" /*RemoteObject*/ ,BA.ObjectToString("CERRADO"));
 }else 
{ BA.debugLineNum = 239;BA.debugLine="Else If r_2.Checked Then";
Debug.ShouldStop(16384);
if (__ref.getField(false,"_r_2" /*RemoteObject*/ ).runMethod(true,"getChecked").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 240;BA.debugLine="motivo = \"NO PIDIO\"";
Debug.ShouldStop(32768);
__ref.setField ("_motivo" /*RemoteObject*/ ,BA.ObjectToString("NO PIDIO"));
 }else 
{ BA.debugLineNum = 241;BA.debugLine="Else If r_3.Checked Then";
Debug.ShouldStop(65536);
if (__ref.getField(false,"_r_3" /*RemoteObject*/ ).runMethod(true,"getChecked").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 242;BA.debugLine="motivo = \"CANCELA\"";
Debug.ShouldStop(131072);
__ref.setField ("_motivo" /*RemoteObject*/ ,BA.ObjectToString("CANCELA"));
 }else {
 BA.debugLineNum = 244;BA.debugLine="motivo = \"NO ESTA EL ENCARGADO\"";
Debug.ShouldStop(524288);
__ref.setField ("_motivo" /*RemoteObject*/ ,BA.ObjectToString("NO ESTA EL ENCARGADO"));
 }}}
;
 BA.debugLineNum = 247;BA.debugLine="If motivo <> \"CERRADO\"  Or motivo = \"CERRADO\" The";
Debug.ShouldStop(4194304);
if (RemoteObject.solveBoolean("!",__ref.getField(true,"_motivo" /*RemoteObject*/ ),BA.ObjectToString("CERRADO")) || RemoteObject.solveBoolean("=",__ref.getField(true,"_motivo" /*RemoteObject*/ ),BA.ObjectToString("CERRADO"))) { 
 BA.debugLineNum = 248;BA.debugLine="DateTime.DateFormat = \"MM/dd/yyyy\"";
Debug.ShouldStop(8388608);
c_noventa.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("MM/dd/yyyy"));
 BA.debugLineNum = 249;BA.debugLine="DateTime.TimeFormat=\"HHmmss\"";
Debug.ShouldStop(16777216);
c_noventa.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",BA.ObjectToString("HHmmss"));
 BA.debugLineNum = 250;BA.debugLine="sDate=DateTime.Date(DateTime.Now)";
Debug.ShouldStop(33554432);
__ref.setField ("_sdate" /*RemoteObject*/ ,c_noventa.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(c_noventa.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 251;BA.debugLine="sTime=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(67108864);
__ref.setField ("_stime" /*RemoteObject*/ ,c_noventa.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_noventa.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 252;BA.debugLine="c=Starter.skmt.ExecQuery(\"select CUENTA from cue";
Debug.ShouldStop(134217728);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_noventa._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CUENTA from cuentaa"))));
 BA.debugLineNum = 253;BA.debugLine="c.Position = 0";
Debug.ShouldStop(268435456);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 254;BA.debugLine="cuenta = c.GetString(\"CUENTA\")";
Debug.ShouldStop(536870912);
__ref.setField ("_cuenta" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUENTA"))));
 BA.debugLineNum = 255;BA.debugLine="c=Starter.skmt.ExecQuery(\"select usuario from us";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_noventa._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select usuario from usuarioa"))));
 BA.debugLineNum = 256;BA.debugLine="c.Position = 0";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 257;BA.debugLine="usuario = c.GetString(\"USUARIO\")";
Debug.ShouldStop(1);
__ref.setField ("_usuario" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("USUARIO"))));
 BA.debugLineNum = 258;BA.debugLine="c.Close";
Debug.ShouldStop(2);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 259;BA.debugLine="Dim rutaactualizar As String";
Debug.ShouldStop(4);
_rutaactualizar = RemoteObject.createImmutable("");Debug.locals.put("rutaactualizar", _rutaactualizar);
 BA.debugLineNum = 260;BA.debugLine="Dim rut As Cursor = Starter.skmt.ExecQuery(\"SELE";
Debug.ShouldStop(8);
_rut = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_rut = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), c_noventa._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT CAT_CL_RUTA FROM kmt_info WHERE CAT_CL_CODIGO IN (SELECT CUENTA FROM CUENTAA)"))));Debug.locals.put("rut", _rut);Debug.locals.put("rut", _rut);
 BA.debugLineNum = 261;BA.debugLine="If rut.RowCount > 0 Then";
Debug.ShouldStop(16);
if (RemoteObject.solveBoolean(">",_rut.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 262;BA.debugLine="rut.Position = 0";
Debug.ShouldStop(32);
_rut.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 263;BA.debugLine="rutaactualizar = rut.GetString(\"CAT_CL_RUTA\")";
Debug.ShouldStop(64);
_rutaactualizar = _rut.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_RUTA")));Debug.locals.put("rutaactualizar", _rutaactualizar);
 };
 BA.debugLineNum = 265;BA.debugLine="Starter.skmt.ExecNonQuery($\"DELETE FROM NOVENTA";
Debug.ShouldStop(256);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("DELETE FROM NOVENTA WHERE NV_CLIENTE IN (select cuenta from cuentaa) AND NV_RUTA ='"),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_rutaactualizar))),RemoteObject.createImmutable("' ")))));
 BA.debugLineNum = 267;BA.debugLine="c=Starter.skmt.ExecQuery(\"select HVD_NUM_REGISTR";
Debug.ShouldStop(1024);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_noventa._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select HVD_NUM_REGISTRO, HVD_CLIENTE, HVD_PRONOMBRE, HVD_CANT, HVD_COSTO_TOT, HVD_FECHA, HVD_PROID, CAT_GP_PRECIO from HIST_VENTAS2 join CAT_GUNAPROD on CAT_GP_ID = HVD_PROID WHERE HVD_CLIENTE IN (Select CUENTA from cuentaa) order by HVD_PRONOMBRE asc"))));
 BA.debugLineNum = 268;BA.debugLine="If c.RowCount > 0 Then 'Si  hay pedido en HIST_V";
Debug.ShouldStop(2048);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 271;BA.debugLine="Private esteCliente As String = Subs.traeClient";
Debug.ShouldStop(16384);
_estecliente = c_noventa._subs.runMethod(true,"_traecliente" /*RemoteObject*/ ,__ref.getField(false, "ba"));Debug.locals.put("esteCliente", _estecliente);Debug.locals.put("esteCliente", _estecliente);
 BA.debugLineNum = 272;BA.debugLine="Private rv As Cursor = Starter.skmt.ExecQuery($";
Debug.ShouldStop(32768);
_rv = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_rv = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), c_noventa._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("select * from REPARTO where REP_CLIENTE = '"),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_estecliente))),RemoteObject.createImmutable("' and REP_CLI_ORIG <> '"),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_estecliente))),RemoteObject.createImmutable("' and REP_RECHAZO = 0"))))));Debug.locals.put("rv", _rv);Debug.locals.put("rv", _rv);
 BA.debugLineNum = 273;BA.debugLine="If rv.RowCount > 0 Then 'Si tenemos venta en el";
Debug.ShouldStop(65536);
if (RemoteObject.solveBoolean(">",_rv.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 274;BA.debugLine="For i2=0 To rv.RowCount - 1";
Debug.ShouldStop(131072);
{
final int step34 = 1;
final int limit34 = RemoteObject.solve(new RemoteObject[] {_rv.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i2 = 0 ;
for (;(step34 > 0 && _i2 <= limit34) || (step34 < 0 && _i2 >= limit34) ;_i2 = ((int)(0 + _i2 + step34))  ) {
Debug.locals.put("i2", _i2);
 BA.debugLineNum = 275;BA.debugLine="rv.Position = i2";
Debug.ShouldStop(262144);
_rv.runMethod(true,"setPosition",BA.numberCast(int.class, _i2));
 BA.debugLineNum = 276;BA.debugLine="Log($\"Actualizamos REPARTO - cliente=${rv.Get";
Debug.ShouldStop(524288);
c_noventa.__c.runVoidMethod ("LogImpl","823461929",(RemoteObject.concat(RemoteObject.createImmutable("Actualizamos REPARTO - cliente="),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_rv.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_CLIENTE")))))),RemoteObject.createImmutable(", cliente orignal="),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_rv.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_CLI_ORIG")))))),RemoteObject.createImmutable(", le agregamos "),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_rv.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_CANT")))))),RemoteObject.createImmutable(""))),0);
 BA.debugLineNum = 277;BA.debugLine="Starter.skmt.ExecNonQuery($\"update REPARTO se";
Debug.ShouldStop(1048576);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("update REPARTO set REP_CANT = REP_CANT + "),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_rv.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_CANT")))))),RemoteObject.createImmutable(" where REP_RECHAZO = '1' and REP_CLIENTE = '"),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_rv.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_CLI_ORIG")))))),RemoteObject.createImmutable("' and REP_CLI_ORIG = '"),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_rv.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("REP_CLI_ORIG")))))),RemoteObject.createImmutable("'")))));
 }
}Debug.locals.put("i2", _i2);
;
 };
 BA.debugLineNum = 281;BA.debugLine="Starter.skmt.ExecNonQuery(\"delete from reparto";
Debug.ShouldStop(16777216);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from reparto where REP_CLIENTE IN (Select CUENTA from cuentaa)")));
 BA.debugLineNum = 282;BA.debugLine="For i=0 To c.RowCount - 1 'Insertamos los produ";
Debug.ShouldStop(33554432);
{
final int step41 = 1;
final int limit41 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step41 > 0 && _i <= limit41) || (step41 < 0 && _i >= limit41) ;_i = ((int)(0 + _i + step41))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 283;BA.debugLine="c.Position=i";
Debug.ShouldStop(67108864);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 284;BA.debugLine="Log($\"REGISTRO= ${c.GetString(\"HVD_NUM_REGISTR";
Debug.ShouldStop(134217728);
c_noventa.__c.runVoidMethod ("LogImpl","823461937",(RemoteObject.concat(RemoteObject.createImmutable("REGISTRO= "),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_NUM_REGISTRO")))))),RemoteObject.createImmutable(""))),0);
 BA.debugLineNum = 285;BA.debugLine="Starter.skmt.ExecNonQuery2(\"insert into repart";
Debug.ShouldStop(268435456);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("insert into reparto(REP_CLIENTE, REP_PRONOMBRE, REP_CANT, REP_COSTO_TOT, REP_FECHA, REP_RECHAZO, REP_PRODID, REP_PRECIO, REP_PRODREGISTRO, REP_CLI_ORIG) VALUES (?,?,?,?,?,1,?,?,?,?) ")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("String",new int[] {9},new Object[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_CLIENTE"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_PRONOMBRE"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_CANT"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_COSTO_TOT"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_FECHA"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_PROID"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_GP_PRECIO"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_NUM_REGISTRO"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_CLIENTE")))})))));
 BA.debugLineNum = 286;BA.debugLine="Starter.skmt.ExecNonQuery2(\"insert into repart";
Debug.ShouldStop(536870912);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("insert into reparto(REP_CLIENTE, REP_PRONOMBRE, REP_CANT, REP_COSTO_TOT, REP_FECHA, REP_RECHAZO, REP_PRODID, REP_PRECIO, REP_PRODREGISTRO, REP_CLI_ORIG) VALUES (?,?,?,?,?,0,?,?,?,?) ")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("String",new int[] {9},new Object[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_CLIENTE"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_PRONOMBRE"))),BA.NumberToString(0),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_COSTO_TOT"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_FECHA"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_PROID"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_GP_PRECIO"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_NUM_REGISTRO"))),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_CLIENTE")))})))));
 BA.debugLineNum = 287;BA.debugLine="Starter.skmt.ExecNonQuery2(\"update cat_gunapro";
Debug.ShouldStop(1073741824);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("update cat_gunaprod set cat_gp_almacen = cat_gp_almacen + ? where cat_gp_nombre = ?")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {2},new Object[] {(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_CANT")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_PRONOMBRE"))))})))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 291;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO NOVENTA";
Debug.ShouldStop(4);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO NOVENTA (NV_CLIENTE,NV_FECHA,NV_USER,NV_MOTIVO,NV_COMM,NV_LAT,NV_LON,NV_FOTO,NV_REPROGRAMAR) VALUES(?,?,?,?,?,?,?,?,?) ")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {9},new Object[] {(__ref.getField(true,"_cuenta" /*RemoteObject*/ )),(RemoteObject.concat(__ref.getField(true,"_sdate" /*RemoteObject*/ ),__ref.getField(true,"_stime" /*RemoteObject*/ ))),(__ref.getField(true,"_usuario" /*RemoteObject*/ )),(__ref.getField(true,"_motivo" /*RemoteObject*/ )),(__ref.getField(false,"_e_comm" /*RemoteObject*/ ).runMethod(true,"getText")),(c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lat_gps" /*RemoteObject*/ )),(c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lon_gps" /*RemoteObject*/ )),(_rutaactualizar),(__ref.getField(true,"_reprogramar" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 292;BA.debugLine="Starter.skmt.ExecNonQuery($\"UPDATE kmt_info set";
Debug.ShouldStop(8);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("UPDATE kmt_info set gestion = 3, HORAENT = '"),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((RemoteObject.concat(__ref.getField(true,"_sdate" /*RemoteObject*/ ),RemoteObject.createImmutable(" "),__ref.getField(true,"_stime" /*RemoteObject*/ ))))),RemoteObject.createImmutable("' where CAT_CL_CODIGO In (select cuenta from cuentaa) and CAT_CL_RUTA = '"),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_rutaactualizar))),RemoteObject.createImmutable("'")))));
 BA.debugLineNum = 293;BA.debugLine="Starter.skmt.ExecNonQuery(\"update HIST_VENTAS SE";
Debug.ShouldStop(16);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("update HIST_VENTAS SET HVD_RECHAZO = 1, HVD_RECHAZOCANT = HVD_CANT, HVD_RECHAZOCANTC = CANTC, BCAJAS = 0 , CANTC = 0 WHERE HVD_CLIENTE IN (SELECT CUENTA FROM CUENTAA)")));
 BA.debugLineNum = 294;BA.debugLine="Starter.skmt.ExecNonQuery($\"update HIST_VENTAS s";
Debug.ShouldStop(32);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)((RemoteObject.createImmutable("update HIST_VENTAS set HVD_RECHAZO = 2,  HVD_RECHAZOCANT = HVD_RECHAZOCANT  WHERE HVD_PROID = HVD_CODPROMO and HVD_CLIENTE in (Select CUENTA from cuentaa)"))));
 BA.debugLineNum = 295;BA.debugLine="Starter.skmt.ExecNonQuery(\"DELETE FROM PEDIDO WH";
Debug.ShouldStop(64);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("DELETE FROM PEDIDO WHERE PE_CLIENTE IN (SELECT CUENTA FROM CUENTAA)")));
 BA.debugLineNum = 296;BA.debugLine="d = Starter.skmt.ExecQuery(\"SELECT RUTAA FROM RU";
Debug.ShouldStop(128);
__ref.getField(false,"_d" /*RemoteObject*/ ).setObject (c_noventa._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT RUTAA FROM RUTAA"))));
 BA.debugLineNum = 297;BA.debugLine="d.Position = 0";
Debug.ShouldStop(256);
__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 298;BA.debugLine="Dim ruta As String = d.GetString(\"RUTAA\")";
Debug.ShouldStop(512);
_ruta = __ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("RUTAA")));Debug.locals.put("ruta", _ruta);Debug.locals.put("ruta", _ruta);
 BA.debugLineNum = 299;BA.debugLine="d.Close";
Debug.ShouldStop(1024);
__ref.getField(false,"_d" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 300;BA.debugLine="d = Starter.skmt.ExecQuery(\"SELECT CAT_CL_RUTA F";
Debug.ShouldStop(2048);
__ref.getField(false,"_d" /*RemoteObject*/ ).setObject (c_noventa._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT CAT_CL_RUTA FROM kmt_info WHERE CAT_CL_CODIGO IN (SELECT CUENTA FROM CUENTAA)"))));
 BA.debugLineNum = 301;BA.debugLine="d.Position = 0";
Debug.ShouldStop(4096);
__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 302;BA.debugLine="Dim rutapre As String = d.GetString(\"CAT_CL_RUTA";
Debug.ShouldStop(8192);
_rutapre = __ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_RUTA")));Debug.locals.put("rutapre", _rutapre);Debug.locals.put("rutapre", _rutapre);
 BA.debugLineNum = 303;BA.debugLine="d.Close";
Debug.ShouldStop(16384);
__ref.getField(false,"_d" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 304;BA.debugLine="d = Starter.skmt.ExecQuery(\"SELECT HVD_FECHA FRO";
Debug.ShouldStop(32768);
__ref.getField(false,"_d" /*RemoteObject*/ ).setObject (c_noventa._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT HVD_FECHA FROM HIST_VENTAS WHERE HVD_CLIENTE IN (SELECT CUENTA FROM CUENTAA)"))));
 BA.debugLineNum = 305;BA.debugLine="d.Position = 0";
Debug.ShouldStop(65536);
__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 306;BA.debugLine="Dim fechaprev As String = d.GetString(\"HVD_FECHA";
Debug.ShouldStop(131072);
_fechaprev = __ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_FECHA")));Debug.locals.put("fechaprev", _fechaprev);Debug.locals.put("fechaprev", _fechaprev);
 BA.debugLineNum = 307;BA.debugLine="d.Close";
Debug.ShouldStop(262144);
__ref.getField(false,"_d" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 308;BA.debugLine="d = Starter.skmt.ExecQuery(\"SELECT CUENTA FROM C";
Debug.ShouldStop(524288);
__ref.getField(false,"_d" /*RemoteObject*/ ).setObject (c_noventa._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT CUENTA FROM CUENTAA"))));
 BA.debugLineNum = 309;BA.debugLine="d.Position = 0";
Debug.ShouldStop(1048576);
__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 310;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO REPARTO_";
Debug.ShouldStop(2097152);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO REPARTO_GEO (CLIENTE, USUARIO, FECHA_PUNTEO, LATITUD, LONGITUD, ALMACEN, RUTA_REPARTO, RUTA_PREV, FECHA_PREVENTA, MOTIVO, COMENTARIO,TIPO,ENVIO) VALUES(?,?,?,?,?,?,?,?,?,?,?,?,0)")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("String",new int[] {12},new Object[] {__ref.getField(true,"_cuenta" /*RemoteObject*/ ),__ref.getField(true,"_usuario" /*RemoteObject*/ ),RemoteObject.concat(__ref.getField(true,"_sdate" /*RemoteObject*/ ),RemoteObject.createImmutable(" "),__ref.getField(true,"_stime" /*RemoteObject*/ )),c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lat_gps" /*RemoteObject*/ ),c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lon_gps" /*RemoteObject*/ ),c_noventa._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_almacen" /*RemoteObject*/ ),_ruta,_rutapre,_fechaprev,__ref.getField(true,"_motivo" /*RemoteObject*/ ),__ref.getField(false,"_e_comm" /*RemoteObject*/ ).runMethod(true,"getText"),RemoteObject.createImmutable("NO ENTREGADO")})))));
 BA.debugLineNum = 317;BA.debugLine="B4XPages.ShowPage(\"Principal\")";
Debug.ShouldStop(268435456);
c_noventa._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Principal")));
 }else {
 BA.debugLineNum = 320;BA.debugLine="COMENTARIO = e_comm.Text";
Debug.ShouldStop(-2147483648);
__ref.setField ("_comentario" /*RemoteObject*/ ,__ref.getField(false,"_e_comm" /*RemoteObject*/ ).runMethod(true,"getText"));
 };
 BA.debugLineNum = 325;BA.debugLine="End Sub";
Debug.ShouldStop(16);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,33);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "c_noventa","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 33;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(1);
 BA.debugLineNum = 34;BA.debugLine="Return Me";
Debug.ShouldStop(2);
if (true) return __ref;
 BA.debugLineNum = 35;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _jobdone(RemoteObject __ref,RemoteObject _job) throws Exception{
try {
		Debug.PushSubsStack("JobDone (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,109);
if (RapidSub.canDelegate("jobdone")) { return __ref.runUserSub(false, "c_noventa","jobdone", __ref, _job);}
RemoteObject _resultado = RemoteObject.declareNull("reparto_izca.keymon.lat.dbrequestmanager._dbresult");
RemoteObject _cliente = RemoteObject.createImmutable("");
RemoteObject _records = null;
RemoteObject _k = RemoteObject.createImmutable("");
Debug.locals.put("Job", _job);
 BA.debugLineNum = 109;BA.debugLine="Sub JobDone(Job As HttpJob)";
Debug.ShouldStop(4096);
 BA.debugLineNum = 110;BA.debugLine="Log(Job.Success)";
Debug.ShouldStop(8192);
c_noventa.__c.runVoidMethod ("LogImpl","823265281",BA.ObjectToString(_job.getField(true,"_success" /*RemoteObject*/ )),0);
 BA.debugLineNum = 111;BA.debugLine="If Job.Success = False Then";
Debug.ShouldStop(16384);
if (RemoteObject.solveBoolean("=",_job.getField(true,"_success" /*RemoteObject*/ ),c_noventa.__c.getField(true,"False"))) { 
 }else {
 BA.debugLineNum = 114;BA.debugLine="LogColor(\"JobDone: '\" & reqManager.HandleJob(Job";
Debug.ShouldStop(131072);
c_noventa.__c.runVoidMethod ("LogImpl","823265285",RemoteObject.concat(RemoteObject.createImmutable("JobDone: '"),__ref.getField(false,"_reqmanager" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.dbrequestmanager.class, "_handlejob" /*RemoteObject*/ ,(Object)(_job)).getField(false,"Tag" /*RemoteObject*/ ),RemoteObject.createImmutable("' - Registros: "),__ref.getField(false,"_reqmanager" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.dbrequestmanager.class, "_handlejob" /*RemoteObject*/ ,(Object)(_job)).getField(false,"Rows" /*RemoteObject*/ ).runMethod(true,"getSize")),c_noventa.__c.getField(false,"Colors").getField(true,"Green"));
 BA.debugLineNum = 115;BA.debugLine="If Job.JobName = \"DBRequest\" Then";
Debug.ShouldStop(262144);
if (RemoteObject.solveBoolean("=",_job.getField(true,"_jobname" /*RemoteObject*/ ),BA.ObjectToString("DBRequest"))) { 
 BA.debugLineNum = 116;BA.debugLine="Dim resultado As DBResult = reqManager.HandleJo";
Debug.ShouldStop(524288);
_resultado = __ref.getField(false,"_reqmanager" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.dbrequestmanager.class, "_handlejob" /*RemoteObject*/ ,(Object)(_job));Debug.locals.put("resultado", _resultado);Debug.locals.put("resultado", _resultado);
 BA.debugLineNum = 117;BA.debugLine="If resultado.Tag.As(String).IndexOf(\"ins_REPART";
Debug.ShouldStop(1048576);
if (RemoteObject.solveBoolean(">",(BA.ObjectToString(_resultado.getField(false,"Tag" /*RemoteObject*/ ))).runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("ins_REPARTOPendientes_head_"))),BA.numberCast(double.class, -(double) (0 + 1)))) { 
 BA.debugLineNum = 118;BA.debugLine="Private cliente As String= resultado.Tag";
Debug.ShouldStop(2097152);
_cliente = BA.ObjectToString(_resultado.getField(false,"Tag" /*RemoteObject*/ ));Debug.locals.put("cliente", _cliente);Debug.locals.put("cliente", _cliente);
 BA.debugLineNum = 119;BA.debugLine="cliente = cliente.SubString(cliente.IndexOf(\"_";
Debug.ShouldStop(4194304);
_cliente = _cliente.runMethod(true,"substring",(Object)(RemoteObject.solve(new RemoteObject[] {_cliente.runMethod(true,"indexOf",(Object)(RemoteObject.createImmutable("_"))),RemoteObject.createImmutable(24)}, "+",1, 1)));Debug.locals.put("cliente", _cliente);
 BA.debugLineNum = 120;BA.debugLine="Log($\"Cliente1:${cliente}\"$)";
Debug.ShouldStop(8388608);
c_noventa.__c.runVoidMethod ("LogImpl","823265291",(RemoteObject.concat(RemoteObject.createImmutable("Cliente1:"),c_noventa.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_cliente))),RemoteObject.createImmutable(""))),0);
 BA.debugLineNum = 121;BA.debugLine="Starter.skmt.ExecNonQuery2(\"update REPARTO_GEO";
Debug.ShouldStop(16777216);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("update REPARTO_GEO SET ENVIO = ? WHERE CLIENTE = ? AND ENVIO <> ?")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("String",new int[] {3},new Object[] {BA.ObjectToString("1"),_cliente,RemoteObject.createImmutable("1")})))));
 BA.debugLineNum = 122;BA.debugLine="For Each records() As Object In resultado.Rows";
Debug.ShouldStop(33554432);
{
final RemoteObject group12 = _resultado.getField(false,"Rows" /*RemoteObject*/ );
final int groupLen12 = group12.runMethod(true,"getSize").<Integer>get()
;int index12 = 0;
;
for (; index12 < groupLen12;index12++){
_records = (group12.runMethod(false,"Get",index12));Debug.locals.put("records", _records);
Debug.locals.put("records", _records);
 BA.debugLineNum = 123;BA.debugLine="For Each k As String In resultado.Columns.Key";
Debug.ShouldStop(67108864);
{
final RemoteObject group13 = _resultado.getField(false,"Columns" /*RemoteObject*/ ).runMethod(false,"Keys");
final int groupLen13 = group13.runMethod(true,"getSize").<Integer>get()
;int index13 = 0;
;
for (; index13 < groupLen13;index13++){
_k = BA.ObjectToString(group13.runMethod(false,"Get",index13));Debug.locals.put("k", _k);
Debug.locals.put("k", _k);
 BA.debugLineNum = 124;BA.debugLine="Log(resultado.Tag & \": \" & k & \": \" & record";
Debug.ShouldStop(134217728);
c_noventa.__c.runVoidMethod ("LogImpl","823265295",RemoteObject.concat(_resultado.getField(false,"Tag" /*RemoteObject*/ ),RemoteObject.createImmutable(": "),_k,RemoteObject.createImmutable(": "),_records.getArrayElement(false,BA.numberCast(int.class, _resultado.getField(false,"Columns" /*RemoteObject*/ ).runMethod(false,"Get",(Object)((_k)))))),0);
 }
}Debug.locals.put("k", _k);
;
 }
}Debug.locals.put("records", _records);
;
 };
 };
 BA.debugLineNum = 129;BA.debugLine="Job.Release";
Debug.ShouldStop(1);
_job.runClassMethod (reparto_izca.keymon.lat.httpjob.class, "_release" /*RemoteObject*/ );
 };
 BA.debugLineNum = 132;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _mandapendientesreparto(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("mandaPendientesreparto (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,89);
if (RapidSub.canDelegate("mandapendientesreparto")) { return __ref.runUserSub(false, "c_noventa","mandapendientesreparto", __ref);}
 BA.debugLineNum = 89;BA.debugLine="Sub mandaPendientesreparto";
Debug.ShouldStop(16777216);
 BA.debugLineNum = 105;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _printer_connected(RemoteObject __ref,RemoteObject _success) throws Exception{
try {
		Debug.PushSubsStack("Printer_Connected (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,352);
if (RapidSub.canDelegate("printer_connected")) { return __ref.runUserSub(false, "c_noventa","printer_connected", __ref, _success);}
Debug.locals.put("Success", _success);
 BA.debugLineNum = 352;BA.debugLine="Sub Printer_Connected (Success As Boolean)";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 353;BA.debugLine="If Success Then";
Debug.ShouldStop(1);
if (_success.<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 355;BA.debugLine="PASA_IMP = \"1\"";
Debug.ShouldStop(4);
__ref.setField ("_pasa_imp" /*RemoteObject*/ ,BA.ObjectToString("1"));
 }else {
 BA.debugLineNum = 358;BA.debugLine="If Msgbox2(\"\", \"Printer Error\",\"Reprint\",\"Cancel";
Debug.ShouldStop(32);
if (RemoteObject.solveBoolean("=",c_noventa.__c.runMethodAndSync(true,"Msgbox2",(Object)(BA.ObjectToCharSequence("")),(Object)(BA.ObjectToCharSequence("Printer Error")),(Object)(BA.ObjectToString("Reprint")),(Object)(BA.ObjectToString("Cancel")),(Object)(BA.ObjectToString("")),(Object)((c_noventa.__c.getField(false,"Null"))),__ref.getField(false, "ba")),BA.numberCast(double.class, c_noventa.__c.getField(false,"DialogResponse").getField(true,"POSITIVE")))) { 
 BA.debugLineNum = 359;BA.debugLine="StartPrinter";
Debug.ShouldStop(64);
__ref.runClassMethod (reparto_izca.keymon.lat.c_noventa.class, "_startprinter" /*RemoteObject*/ );
 };
 };
 BA.debugLineNum = 362;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _printer1_connected(RemoteObject __ref,RemoteObject _success) throws Exception{
try {
		Debug.PushSubsStack("Printer1_Connected (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,327);
if (RapidSub.canDelegate("printer1_connected")) { return __ref.runUserSub(false, "c_noventa","printer1_connected", __ref, _success);}
Debug.locals.put("Success", _success);
 BA.debugLineNum = 327;BA.debugLine="Sub Printer1_Connected (Success As Boolean)";
Debug.ShouldStop(64);
 BA.debugLineNum = 329;BA.debugLine="If Success Then";
Debug.ShouldStop(256);
if (_success.<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 330;BA.debugLine="ToastMessageShow(\"Impresora conectada\", False)";
Debug.ShouldStop(512);
c_noventa.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Impresora conectada")),(Object)(c_noventa.__c.getField(true,"False")));
 BA.debugLineNum = 331;BA.debugLine="Starter.skmt.ExecNonQuery2(\"delete from CAT_VARI";
Debug.ShouldStop(1024);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("delete from CAT_VARIABLES where CAT_VA_DESCRIPCION = ?")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("MACIMP"))})))));
 BA.debugLineNum = 332;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO CAT_VARI";
Debug.ShouldStop(2048);
c_noventa._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO CAT_VARIABLES(CAT_VA_DESCRIPCION, CAT_VA_VALOR) VALUES (?,?)")),(Object)(c_noventa.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {2},new Object[] {RemoteObject.createImmutable(("MACIMP")),(c_noventa._starter._mac_impresora /*RemoteObject*/ )})))));
 BA.debugLineNum = 335;BA.debugLine="impresoraConectada = True";
Debug.ShouldStop(16384);
__ref.setField ("_impresoraconectada" /*RemoteObject*/ ,c_noventa.__c.getField(true,"True"));
 }else {
 BA.debugLineNum = 339;BA.debugLine="LogColor(\"Error conectando la impresora\", Colors";
Debug.ShouldStop(262144);
c_noventa.__c.runVoidMethod ("LogImpl","823527436",BA.ObjectToString("Error conectando la impresora"),c_noventa.__c.getField(false,"Colors").getField(true,"Red"));
 BA.debugLineNum = 340;BA.debugLine="errorImpresora = errorImpresora + 1";
Debug.ShouldStop(524288);
__ref.setField ("_errorimpresora" /*RemoteObject*/ ,RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_errorimpresora" /*RemoteObject*/ ),RemoteObject.createImmutable(1)}, "+",1, 1));
 BA.debugLineNum = 341;BA.debugLine="If errorImpresora > 1 Then";
Debug.ShouldStop(1048576);
if (RemoteObject.solveBoolean(">",__ref.getField(true,"_errorimpresora" /*RemoteObject*/ ),BA.numberCast(double.class, 1))) { 
 BA.debugLineNum = 342;BA.debugLine="Starter.MAC_IMPRESORA = \"0\"";
Debug.ShouldStop(2097152);
c_noventa._starter._mac_impresora /*RemoteObject*/  = BA.ObjectToString("0");
 BA.debugLineNum = 343;BA.debugLine="errorImpresora = 0";
Debug.ShouldStop(4194304);
__ref.setField ("_errorimpresora" /*RemoteObject*/ ,BA.numberCast(int.class, 0));
 };
 };
 BA.debugLineNum = 346;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _printer1_error(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("Printer1_Error (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,348);
if (RapidSub.canDelegate("printer1_error")) { return __ref.runUserSub(false, "c_noventa","printer1_error", __ref);}
 BA.debugLineNum = 348;BA.debugLine="Sub Printer1_Error";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 349;BA.debugLine="Log(\"error printer\")";
Debug.ShouldStop(268435456);
c_noventa.__c.runVoidMethod ("LogImpl","823592961",RemoteObject.createImmutable("error printer"),0);
 BA.debugLineNum = 350;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _startprinter(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("StartPrinter (c_noventa) ","c_noventa",15,__ref.getField(false, "ba"),__ref,364);
if (RapidSub.canDelegate("startprinter")) { return __ref.runUserSub(false, "c_noventa","startprinter", __ref);}
RemoteObject _paireddevices = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.Map");
RemoteObject _l1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
RemoteObject _resimp = RemoteObject.createImmutable(0);
int _i = 0;
 BA.debugLineNum = 364;BA.debugLine="Sub StartPrinter";
Debug.ShouldStop(2048);
 BA.debugLineNum = 365;BA.debugLine="Dim PairedDevices As Map";
Debug.ShouldStop(4096);
_paireddevices = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.Map");Debug.locals.put("PairedDevices", _paireddevices);
 BA.debugLineNum = 366;BA.debugLine="Dim L1 As List";
Debug.ShouldStop(8192);
_l1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");Debug.locals.put("L1", _l1);
 BA.debugLineNum = 367;BA.debugLine="Dim resimp As Int";
Debug.ShouldStop(16384);
_resimp = RemoteObject.createImmutable(0);Debug.locals.put("resimp", _resimp);
 BA.debugLineNum = 368;BA.debugLine="ToastMessageShow(\"Printing.....\",True)";
Debug.ShouldStop(32768);
c_noventa.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Printing.....")),(Object)(c_noventa.__c.getField(true,"True")));
 BA.debugLineNum = 369;BA.debugLine="PairedDevices.Initialize";
Debug.ShouldStop(65536);
_paireddevices.runVoidMethod ("Initialize");
 BA.debugLineNum = 370;BA.debugLine="Try";
Debug.ShouldStop(131072);
try { BA.debugLineNum = 371;BA.debugLine="PairedDevices = cmp20.GetPairedDevices";
Debug.ShouldStop(262144);
_paireddevices = __ref.getField(false,"_cmp20" /*RemoteObject*/ ).runMethod(false,"GetPairedDevices");Debug.locals.put("PairedDevices", _paireddevices);
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e9) {
			BA.rdebugUtils.runVoidMethod("setLastException",__ref.getField(false, "ba"), e9.toString()); BA.debugLineNum = 373;BA.debugLine="Msgbox(\"Getting Paired Devices\",\"Printer Error\")";
Debug.ShouldStop(1048576);
c_noventa.__c.runVoidMethodAndSync ("Msgbox",(Object)(BA.ObjectToCharSequence("Getting Paired Devices")),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Printer Error"))),__ref.getField(false, "ba"));
 BA.debugLineNum = 374;BA.debugLine="printer.Close";
Debug.ShouldStop(2097152);
__ref.getField(false,"_printer" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 375;BA.debugLine="cmp20.Disconnect";
Debug.ShouldStop(4194304);
__ref.getField(false,"_cmp20" /*RemoteObject*/ ).runVoidMethod ("Disconnect");
 };
 BA.debugLineNum = 378;BA.debugLine="If PairedDevices.Size = 0 Then";
Debug.ShouldStop(33554432);
if (RemoteObject.solveBoolean("=",_paireddevices.runMethod(true,"getSize"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 379;BA.debugLine="Msgbox(\"Error Connecting to Printer - Printer No";
Debug.ShouldStop(67108864);
c_noventa.__c.runVoidMethodAndSync ("Msgbox",(Object)(BA.ObjectToCharSequence("Error Connecting to Printer - Printer Not Found")),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable(""))),__ref.getField(false, "ba"));
 BA.debugLineNum = 380;BA.debugLine="Return";
Debug.ShouldStop(134217728);
if (true) return RemoteObject.createImmutable("");
 };
 BA.debugLineNum = 383;BA.debugLine="If PairedDevices.Size = 1 Then";
Debug.ShouldStop(1073741824);
if (RemoteObject.solveBoolean("=",_paireddevices.runMethod(true,"getSize"),BA.numberCast(double.class, 1))) { 
 BA.debugLineNum = 384;BA.debugLine="Try";
Debug.ShouldStop(-2147483648);
try { BA.debugLineNum = 385;BA.debugLine="cmp20.Connect(PairedDevices.Get(PairedDevices.G";
Debug.ShouldStop(1);
__ref.getField(false,"_cmp20" /*RemoteObject*/ ).runVoidMethod ("Connect",__ref.getField(false, "ba"),(Object)(BA.ObjectToString(_paireddevices.runMethod(false,"Get",(Object)(_paireddevices.runMethod(false,"GetKeyAt",(Object)(BA.numberCast(int.class, 0))))))));
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e21) {
			BA.rdebugUtils.runVoidMethod("setLastException",__ref.getField(false, "ba"), e21.toString()); BA.debugLineNum = 387;BA.debugLine="Msgbox(\"Connecting\",\"Printer Error\") 'ignore";
Debug.ShouldStop(4);
c_noventa.__c.runVoidMethodAndSync ("Msgbox",(Object)(BA.ObjectToCharSequence("Connecting")),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Printer Error"))),__ref.getField(false, "ba"));
 BA.debugLineNum = 388;BA.debugLine="printer.Close";
Debug.ShouldStop(8);
__ref.getField(false,"_printer" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 389;BA.debugLine="cmp20.Disconnect";
Debug.ShouldStop(16);
__ref.getField(false,"_cmp20" /*RemoteObject*/ ).runVoidMethod ("Disconnect");
 };
 }else {
 BA.debugLineNum = 392;BA.debugLine="L1.Initialize";
Debug.ShouldStop(128);
_l1.runVoidMethod ("Initialize");
 BA.debugLineNum = 393;BA.debugLine="For i = 0 To PairedDevices.Size - 1";
Debug.ShouldStop(256);
{
final int step27 = 1;
final int limit27 = RemoteObject.solve(new RemoteObject[] {_paireddevices.runMethod(true,"getSize"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step27 > 0 && _i <= limit27) || (step27 < 0 && _i >= limit27) ;_i = ((int)(0 + _i + step27))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 394;BA.debugLine="L1.Add(PairedDevices.GetKeyAt(i))";
Debug.ShouldStop(512);
_l1.runVoidMethod ("Add",(Object)(_paireddevices.runMethod(false,"GetKeyAt",(Object)(BA.numberCast(int.class, _i)))));
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 396;BA.debugLine="resimp = InputList(L1, \"Choose device\", -1) 'ign";
Debug.ShouldStop(2048);
_resimp = c_noventa.__c.runMethodAndSync(true,"InputList",(Object)(_l1),(Object)(BA.ObjectToCharSequence("Choose device")),(Object)(BA.numberCast(int.class, -(double) (0 + 1))),__ref.getField(false, "ba"));Debug.locals.put("resimp", _resimp);
 BA.debugLineNum = 397;BA.debugLine="If resimp <> DialogResponse.CANCEL Then";
Debug.ShouldStop(4096);
if (RemoteObject.solveBoolean("!",_resimp,BA.numberCast(double.class, c_noventa.__c.getField(false,"DialogResponse").getField(true,"CANCEL")))) { 
 BA.debugLineNum = 398;BA.debugLine="cmp20.Connect(PairedDevices.Get(L1.Get(resimp))";
Debug.ShouldStop(8192);
__ref.getField(false,"_cmp20" /*RemoteObject*/ ).runVoidMethod ("Connect",__ref.getField(false, "ba"),(Object)(BA.ObjectToString(_paireddevices.runMethod(false,"Get",(Object)(_l1.runMethod(false,"Get",(Object)(_resimp)))))));
 };
 };
 BA.debugLineNum = 401;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}